<script setup lang="ts">
import { fetchAllDog, deleteDog } from '@/dog-service';
import type { Dog } from '@/entities';

import { ref, computed, onMounted } from 'vue';


const dogs = ref<Dog[]>([]);
const input = ref("");

const filteredList = computed(() => {
  return dogs.value.filter(dog => dog.name.toLowerCase().includes(input.value.toLowerCase()));
});

onMounted(async () => {
  dogs.value = await fetchAllDog();
});


</script>

<template>
  <form class="d-flex" role="search">
    <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search" v-model="input">
    <button class="btn btn-outline-success" type="submit">Rechercher</button>
  </form>

  // BARRE DE RECHERCHE
  <div class="row" v-if="input && !filteredList.length">
    <p>Aucun chien trouvé.</p>
  </div>

  <div class="row" v-else>
    <div class="col-md-4" v-for="dog in filteredList" :key="dog.id">
      <div class="card">
        <img :src="dog.image" class="card-img-top" alt="Dog">
        <div class="card-body">
          <h5 class="card-title">{{ dog.name }}</h5>
          <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
          <router-link to="" class="btn btn-primary">Voir</router-link>
        </div>
      </div>
    </div>
  </div>
</template>

<style>
/* Style personnalisé si nécessaire */
</style>
